org.red5.server.stream.bandwidth

## Class ClientServerDetection

- java.lang.Object
- - org.red5.server.stream.bandwidth.ClientServerDetection

All Implemented Interfaces:
  IPendingServiceCallback

    public class ClientServerDetection
    extends Object
    implements IPendingServiceCallback

Author:
  The Red5 Project (red5@osflash.org), Dan Rossi

### Field Summary

Fields
`protected static org.slf4j.Logger` `log`

### Constructor Summary

Constructors
Constructor and Description
`ClientServerDetection()`

### Method Summary

Methods
`Map<String,Object>` `checkBandwidth(Object[] params)`
`void` `resultReceived(IPendingServiceCall call)` Handle callback from service call.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### log

    protected static org.slf4j.Logger log

### Constructor Detail

#### ClientServerDetection

    public ClientServerDetection()

### Method Detail

#### resultReceived

    public void resultReceived(IPendingServiceCall call)

Handle callback from service call.

Specified by:
  `resultReceived` in interface `IPendingServiceCallback`
Parameters:
  `call` - Call object this callback is applied to

#### checkBandwidth

    public Map<String,Object> checkBandwidth(Object[] params)